com.microfocus.awm.control.toolexecution.internal

## Class MassProcessingSubContext

- java.lang.Object
- - com.microfocus.awm.control.toolexecution.internal.AbstractToolContext
  - - com.microfocus.awm.control.toolexecution.internal.MassProcessingSubContext

- All Implemented Interfaces:
    IDynamicObject, IMassProcessingSubContext, IToolContext

      public class MassProcessingSubContext
      extends AbstractToolContext
      implements IMassProcessingSubContext

  Standard implementation of `IMassProcessingSubContext`.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MassProcessingSubContext(IMassProcessingToolContext pParentContext, IExecutionContext pSubContext)` Basic constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IToolContext` | `getParentContext()` Gets the sub-context's parent context.

    - ### Methods inherited from class com.microfocus.awm.control.toolexecution.internal.AbstractToolContext

      `getExecutionContext, getFunctionPackage, getInputParameters, getInputParameters, getModelObject, getOutputParameters, getOutputParameters`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolContext

      `getExecutionContext, getFunctionPackage, getInputParameters, getInputParameters, getModelObject, getOutputParameters, getOutputParameters`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IDynamicObject

      `getAttributes, getAttributeValue, getComplexAttributes`

- - ### Constructor Detail

    - #### MassProcessingSubContext

          public MassProcessingSubContext(IMassProcessingToolContext pParentContext,
                                          IExecutionContext pSubContext)
                                   throws TaurusToolException

      Basic constructor.
      Parameters:
        `pParentContext` - the parent context
        `pSubContext` - corresponding `IExecutionContext` sub-context
      Throws:
        `TaurusToolException` - if creation of tool context parameters fails

  - ### Method Detail

    - #### getParentContext

          public IToolContext getParentContext()

      Description copied from interface: `IMassProcessingSubContext`
      Gets the sub-context's parent context.
      Specified by:
        `getParentContext` in interface `IMassProcessingSubContext`
      Returns:
        the parent context

Copyright © 2015 Micro Focus GmbH. All rights reserved.